package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBExternalTableDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBExternalTable and its DTO TBExternalTableDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBExternalTableMapper extends EntityMapper<TBExternalTableDTO, TBExternalTable> {



    default TBExternalTable fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBExternalTable tBExternalTable = new TBExternalTable();
        tBExternalTable.setId(id);
        return tBExternalTable;
    }
}
